# Module `blingbling.tagslist`

Tagslist widget.

Based on the original taglist widget from awesome

## Functions

taglist.gettag (widget) | Get the tag object the given widget appears on.
taglist.new (screen, filter, buttons, style, base_widget) | Create a new tagslist widget
taglist.filter.noempty (t, args) | Filtering function to include all nonempty tags on the screen.
taglist.filter.all (t, args) | Filtering function to include all tags on the screen.

## Functions

taglist.gettag (widget)
  Get the tag object the given widget appears on.

  ### Parameters:

  - widget The widget the look for.

  ### Returns:

  The tag object.
taglist.new (screen, filter, buttons, style, base_widget)
  Create a new tagslist widget

  ### Parameters:

  - screen an integer for the screen of the tagslist
  - filter a filtering function the default check if the current tag is not empty and return true if so.
  - buttons a table of awful.button (mytaglist.buttons from the default rc.lua of awesome for example)
  - style an optional table with contains 4 tables of text_box parameters in order to change the apparence of the tag based on its state (normal, focus, urgent, occupied)
  - base_widget an awful.layout (horizontal or vertical)

  ### Usage:

      mytags = blingbling.tagslist(screen, filter, buttons,{normal={blingbling.text_box parameters}, focus = {blingbling.text_box parameters},urgent = {blingbling.text_box parameters}, occupied = {blingbling.text_box parameters}}, an awful.layout)

taglist.filter.noempty (t, args)
  Filtering function to include all nonempty tags on the screen.

  ### Parameters:

  - t The tag.
  - args unused list of extra arguments.

  ### Returns:

  true if t is not empty, else false
taglist.filter.all (t, args)
  Filtering function to include all tags on the screen.

  ### Parameters:

  - t The tag.
  - args unused list of extra arguments.

  ### Returns:

  true

generated by LDoc 1.4.2